Post by wrinkledm » Mon Mar 03, 2014 5:47 am

Ok,

Having read the majority of the installation error problems are associated with file permissions, I uploaded the vqmod folder (latest version into opencart 1.5.6) and changed my index.php files in store root and admin to 777. I also changed the admin folder to 777. When I run the install it get an error processing this directive error on the vqmod installation. Is there something else I'm forgetting to do?

Thanks

David

Newbie

Posts

Joined
Tue Feb 25, 2014 6:30 am

Post by butte » Mon Mar 03, 2014 6:06 am

If you are Stateside, then set directories to 755 and files to 644. The 777 is a security risk, is disfavored, and when set it tends via the ownership attribute to gum up how things work. In Europe some servers still work with 777. Each 7 means read-write-execute; 1st is owner/root, 2nd is group including system and Apache, 3rd is world including everybody including hackers. Hackers like sevens, which are nowadays disfavored. There was a time when 777 was just how things were done; on modernized servers, not any more.

Guru Member

Posts

Joined
Wed Mar 20, 2013 6:58 am

Post by wrinkledm » Mon Mar 03, 2014 6:37 am

I understand, but with either setting VQmod did not install and gave the same error. I set everything back to 644 when the installation failed. I should have mentioned that.

D

Newbie

Posts

Joined
Tue Feb 25, 2014 6:30 am
Who is online

Users browsing this forum: No registered users and 6 guests